/*

*/

(function ($) {
    $.fn.JSPars = function (opt) {
        var def = $.extend({
            MaxCount: 5,
            ShowDesc: true,
            ShowPubDate: true,
            DescCharacterLimit: 0,
            TitleLinkTarget: "_blank",
            DateFormat: "",
            DateFormatLang:"en"
        }, opt);

        var id = $(this).attr("id"), i, s = "", dt;
        $("#" + id).empty();
        if (def.FeedUrl == undefined) return;
        $("#" + id).append('<div id="loader"><img src="ring192.gif"/></div>');

        $.ajax({
            url: def.FeedUrl,
            dataType: "json",
            success: function (data) {
                $("#" + id).empty();
                /*if (!(data.query.results.rss instanceof Array)) {
                    data.query.results.rss = [data.query.results.rss];
                }*/
                $.each(data, function (e, itm) {
                    s += '<li><div class="itemTitle"><a href="' + itm.guid.rendered + '" target="' + def.TitleLinkTarget + '" >' + itm.title.rendered + '</a></div>';

                    if (def.ShowPubDate){
                        dt = new Date(itm.date);
                        s += '<div class="itemDate">';
                        if ($.trim(def.DateFormat).length > 0) {
                            try {
                                moment.lang(def.DateFormatLang);
                                s += moment(dt).format(def.DateFormat);
                            }
                            catch (e){s += dt.toLocaleDateString();}
                        }
                        else {
                            s += dt.toLocaleDateString();
                        }
                        s += '</div>';
                    }
                    if (def.ShowDesc) {
                        s += '<div class="itemContent">';
                         if (def.DescCharacterLimit > 0 && itm.content.rendered.length > def.DescCharacterLimit) {
                            s += itm.content.rendered.length.substring(0, def.DescCharacterLimit) + '...';
                        }
                        else {
                            s += itm.content.rendered;
                         }
                         s += '</div>';
                    }
                });
                $("#" + id).append('<ul data-role="listview" class="feedEkList">' + s + '</ul>');
            }
        });
    };
})(jQuery);
